Subject: [rsvp-dir] Consideration of Experimental CTypes

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 12 Dec 2012 15:08:59 -0000

Hi RSVP-Directorate,

The IESG is looking at draft-kumaki-murai-l3vpn-rsvp-te during IESG evaluation
and post-IESTF last call.

The document is intended to be Experimental, and wants to carry out its
experiment by adding some CTypes to existing CNums. However, the IANA registry
observes...

> For Class Numbers that pre-date [RFC3936] (specifically, 0, 1, 3-25,
> 30-37, 42-45, 64, 65, 128-131, 161-165, 192-196, and 207), the
> default assignment policy for new Class Types is Standards Action,
> unless a Standards Track or Best Current Practice RFC supercedes this.

What is your view of the intention? Is the purpose to block experimentation on
existing CNums? How should experiments be carried out?

An option, I suppose is to replicate the CNums into Experimental CNums and
include the experimental CTypes there.

Thanks,
Adrian

---

From: Lou Berger <[email-masked]>
Date: Wed, 12 Dec 2012 13:06:37 -0500

Adrian,
	Is this a general question or one that is focused on a specific
experiment?  If an experiment is to take place privately, as this one
is, is there any need for an assignment?

Lou

On 12/12/2012 10:08 AM, Adrian Farrel wrote:
> _______________________________________________
> rsvp-dir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rsvp-dir
> 
> 
> 
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 12 Dec 2012 18:13:48 -0000

Hi Lou,

Well, obviously I want to resolve this particular document, but it would be nice
to use the generic solution.

All experiments are in some sense private. The pint of experimental code point
ranges is to describe what happens when the code points are seen in the wild and
to discourage squatting.

It sounds like what you are suggesting is that they should not document values
and, within the limits of their experiment, they should squat on some values.

A

> -----Original Message-----
> From: Lou Berger [mailto:[email-masked]]
> Sent: 12 December 2012 18:07
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: [rsvp-dir] Consideration of Experimental CTypes
> 
> Adrian,

---

From: Lou Berger <[email-masked]>
Date: Wed, 12 Dec 2012 15:30:17 -0500

Fair enough.  My feeling is that assignment should be informed based on
the expected scope of the experiment.  Something that is likely to have
wide experimental usage, is documented in an RFC, and has a possible
outcome of moving to standards track seems like a good candidate for an
'experimental assignment'.  Something that is likely to be implemented
by 1 (or 2) independent implementations, is also documented in an RFC,
and will only be used in a tightly controlled environment, IMO, has no
reason to use assigned code points.

I think this specific case is easy, but you already know what I think of
this document...

Does this help at all?

Lou